<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.16"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Zonzay: dlib::op_identity_matrix_2&lt; T &gt; Struct Template Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="zonzay.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Zonzay
   &#160;<span id="projectnumber">1</span>
   </div>
   <div id="projectbrief">Laugh game challenge</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.16 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespacedlib.html">dlib</a></li><li class="navelem"><a class="el" href="structdlib_1_1op__identity__matrix__2.html">op_identity_matrix_2</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-types">Public Types</a> &#124;
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pub-attribs">Public Attributes</a> &#124;
<a href="#pub-static-attribs">Static Public Attributes</a> &#124;
<a href="structdlib_1_1op__identity__matrix__2-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">dlib::op_identity_matrix_2&lt; T &gt; Struct Template Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div class="dynheader">
Inheritance diagram for dlib::op_identity_matrix_2&lt; T &gt;:</div>
<div class="dyncontent">
 <div class="center">
  <img src="structdlib_1_1op__identity__matrix__2.png" usemap="#dlib::op_5Fidentity_5Fmatrix_5F2_3C_20T_20_3E_map" alt=""/>
  <map id="dlib::op_5Fidentity_5Fmatrix_5F2_3C_20T_20_3E_map" name="dlib::op_5Fidentity_5Fmatrix_5F2_3C_20T_20_3E_map">
<area href="structdlib_1_1does__not__alias.html" alt="dlib::does_not_alias" shape="rect" coords="0,0,184,24"/>
  </map>
</div></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-types"></a>
Public Types</h2></td></tr>
<tr class="memitem:ade9606f9f8f00ab13a76e9a89e3258bf"><td class="memItemLeft" align="right" valign="top"><a id="ade9606f9f8f00ab13a76e9a89e3258bf"></a>
typedef <a class="el" href="namespacedlib.html#ae8aaef18fce6452263f46535116308ca">default_memory_manager</a>&#160;</td><td class="memItemRight" valign="bottom"><b>mem_manager_type</b></td></tr>
<tr class="separator:ade9606f9f8f00ab13a76e9a89e3258bf"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab27d2ac7d9aa292f60937bbdb6dbae09"><td class="memItemLeft" align="right" valign="top"><a id="ab27d2ac7d9aa292f60937bbdb6dbae09"></a>
typedef <a class="el" href="structdlib_1_1row__major__layout.html">row_major_layout</a>&#160;</td><td class="memItemRight" valign="bottom"><b>layout_type</b></td></tr>
<tr class="separator:ab27d2ac7d9aa292f60937bbdb6dbae09"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:acafec4c6eef6c2d4c5201ac2203bb08d"><td class="memItemLeft" align="right" valign="top"><a id="acafec4c6eef6c2d4c5201ac2203bb08d"></a>
typedef T&#160;</td><td class="memItemRight" valign="bottom"><b>type</b></td></tr>
<tr class="separator:acafec4c6eef6c2d4c5201ac2203bb08d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a208d78ad05aa9b5c5848209c7531cbcc"><td class="memItemLeft" align="right" valign="top"><a id="a208d78ad05aa9b5c5848209c7531cbcc"></a>
typedef const T&#160;</td><td class="memItemRight" valign="bottom"><b>const_ret_type</b></td></tr>
<tr class="separator:a208d78ad05aa9b5c5848209c7531cbcc"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:ad72986e76cfeec135bd27f35b2a7e7ee"><td class="memItemLeft" align="right" valign="top"><a id="ad72986e76cfeec135bd27f35b2a7e7ee"></a>
&#160;</td><td class="memItemRight" valign="bottom"><b>op_identity_matrix_2</b> (const long &amp;size_)</td></tr>
<tr class="separator:ad72986e76cfeec135bd27f35b2a7e7ee"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a471e68e1568492f8e3ab980c16a2807f"><td class="memItemLeft" align="right" valign="top"><a id="a471e68e1568492f8e3ab980c16a2807f"></a>
const_ret_type&#160;</td><td class="memItemRight" valign="bottom"><b>apply</b> (long r, long c) const</td></tr>
<tr class="separator:a471e68e1568492f8e3ab980c16a2807f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a317f411c6a85c8d79143d0822a03ccc2"><td class="memItemLeft" align="right" valign="top"><a id="a317f411c6a85c8d79143d0822a03ccc2"></a>
long&#160;</td><td class="memItemRight" valign="bottom"><b>nr</b> () const</td></tr>
<tr class="separator:a317f411c6a85c8d79143d0822a03ccc2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aadaa5a9d61ff15f43a05b07a9de39902"><td class="memItemLeft" align="right" valign="top"><a id="aadaa5a9d61ff15f43a05b07a9de39902"></a>
long&#160;</td><td class="memItemRight" valign="bottom"><b>nc</b> () const</td></tr>
<tr class="separator:aadaa5a9d61ff15f43a05b07a9de39902"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_methods_structdlib_1_1does__not__alias"><td colspan="2" onclick="javascript:toggleInherit('pub_methods_structdlib_1_1does__not__alias')"><img src="closed.png" alt="-"/>&#160;Public Member Functions inherited from <a class="el" href="structdlib_1_1does__not__alias.html">dlib::does_not_alias</a></td></tr>
<tr class="memitem:aceed084a5442b7259165b87b4bc45f10 inherit pub_methods_structdlib_1_1does__not__alias"><td class="memTemplParams" colspan="2">template&lt;typename U &gt; </td></tr>
<tr class="memitem:aceed084a5442b7259165b87b4bc45f10 inherit pub_methods_structdlib_1_1does__not__alias"><td class="memTemplItemLeft" align="right" valign="top">bool&#160;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="structdlib_1_1does__not__alias.html#aceed084a5442b7259165b87b4bc45f10">aliases</a> (const U &amp;) const</td></tr>
<tr class="separator:aceed084a5442b7259165b87b4bc45f10 inherit pub_methods_structdlib_1_1does__not__alias"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aaf83f81e0880ddf9c5d97b76d5b2a17e inherit pub_methods_structdlib_1_1does__not__alias"><td class="memTemplParams" colspan="2"><a id="aaf83f81e0880ddf9c5d97b76d5b2a17e"></a>
template&lt;typename U &gt; </td></tr>
<tr class="memitem:aaf83f81e0880ddf9c5d97b76d5b2a17e inherit pub_methods_structdlib_1_1does__not__alias"><td class="memTemplItemLeft" align="right" valign="top">bool&#160;</td><td class="memTemplItemRight" valign="bottom"><b>destructively_aliases</b> (const U &amp;) const</td></tr>
<tr class="separator:aaf83f81e0880ddf9c5d97b76d5b2a17e inherit pub_methods_structdlib_1_1does__not__alias"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-attribs"></a>
Public Attributes</h2></td></tr>
<tr class="memitem:af87f75c799a48c88b784ee0b9872b3e3"><td class="memItemLeft" align="right" valign="top"><a id="af87f75c799a48c88b784ee0b9872b3e3"></a>
const long&#160;</td><td class="memItemRight" valign="bottom"><b>size</b></td></tr>
<tr class="separator:af87f75c799a48c88b784ee0b9872b3e3"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-static-attribs"></a>
Static Public Attributes</h2></td></tr>
<tr class="memitem:a5052eafcb72921bf35eadff3f037250e"><td class="memItemLeft" align="right" valign="top"><a id="a5052eafcb72921bf35eadff3f037250e"></a>
static const long&#160;</td><td class="memItemRight" valign="bottom"><b>cost</b> = 1</td></tr>
<tr class="separator:a5052eafcb72921bf35eadff3f037250e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9eb9cbb2d76715512b32bf665d8ff076"><td class="memItemLeft" align="right" valign="top"><a id="a9eb9cbb2d76715512b32bf665d8ff076"></a>
static const long&#160;</td><td class="memItemRight" valign="bottom"><b>NR</b> = 0</td></tr>
<tr class="separator:a9eb9cbb2d76715512b32bf665d8ff076"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a69aa20f25d1406426333a39663781925"><td class="memItemLeft" align="right" valign="top"><a id="a69aa20f25d1406426333a39663781925"></a>
static const long&#160;</td><td class="memItemRight" valign="bottom"><b>NC</b> = 0</td></tr>
<tr class="separator:a69aa20f25d1406426333a39663781925"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<hr/>The documentation for this struct was generated from the following file:<ul>
<li><a class="el" href="matrix__utilities_8h_source.html">matrix_utilities.h</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.16
</small></address>
</body>
</html>
